com.genesyslab.wfm8.API.service.config810

## Class CfgGlobalSettings

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config810.CfgGlobalSettings

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgGlobalSettings
      extends java.lang.Object
      implements java.io.Serializable

  Contains Global Settings
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` Timestamp value
    `protected int` | `wmCalAuditLevel` Calendar Audit Level `ECalAuditLevel`
    `protected int` | `wmDefaultSecurityRoleId`
    `protected boolean` | `wmEmailSynchEnabled` Indicates whether e-mail synchronization is enabled/disabled
    `protected boolean` | `wmMandatoryPaidBreaks`
    `protected boolean` | `wmNewSiteAssignment`
    `protected boolean` | `wmPreferencesEnabled`
    `protected int` | `wmSchAuditLevel` Schedule Audit Level `ESchAuditLevel`
    `protected boolean` | `wmSuppressBreakWarnings`
    `protected boolean` | `wmTimeoffPlannerEnabled`
    `protected int` | `wmTimezoneId`
    `protected int` | `wmWeekStartDay` Week Start Day (1 = Mon, 2 = Tue, ..., 7 = Sun)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgGlobalSettings()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `getWmCalAuditLevel()` Gets the value of the wmCalAuditLevel property.
    `int` | `getWmDefaultSecurityRoleId()` Gets the value of the wmDefaultSecurityRoleId property.
    `int` | `getWmSchAuditLevel()` Gets the value of the wmSchAuditLevel property.
    `int` | `getWmTimezoneId()` Gets the value of the wmTimezoneId property.
    `int` | `getWmWeekStartDay()` Gets the value of the wmWeekStartDay property.
    `int` | `hashCode()`
    `boolean` | `isWmEmailSynchEnabled()` Gets the value of the wmEmailSynchEnabled property.
    `boolean` | `isWmMandatoryPaidBreaks()` Gets the value of the wmMandatoryPaidBreaks property.
    `boolean` | `isWmNewSiteAssignment()` Gets the value of the wmNewSiteAssignment property.
    `boolean` | `isWmPreferencesEnabled()` Gets the value of the wmPreferencesEnabled property.
    `boolean` | `isWmSuppressBreakWarnings()` Gets the value of the wmSuppressBreakWarnings property.
    `boolean` | `isWmTimeoffPlannerEnabled()` Gets the value of the wmTimeoffPlannerEnabled property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmCalAuditLevel(int value)` Sets the value of the wmCalAuditLevel property.
    `void` | `setWmDefaultSecurityRoleId(int value)` Sets the value of the wmDefaultSecurityRoleId property.
    `void` | `setWmEmailSynchEnabled(boolean value)` Sets the value of the wmEmailSynchEnabled property.
    `void` | `setWmMandatoryPaidBreaks(boolean value)` Sets the value of the wmMandatoryPaidBreaks property.
    `void` | `setWmNewSiteAssignment(boolean value)` Sets the value of the wmNewSiteAssignment property.
    `void` | `setWmPreferencesEnabled(boolean value)` Sets the value of the wmPreferencesEnabled property.
    `void` | `setWmSchAuditLevel(int value)` Sets the value of the wmSchAuditLevel property.
    `void` | `setWmSuppressBreakWarnings(boolean value)` Sets the value of the wmSuppressBreakWarnings property.
    `void` | `setWmTimeoffPlannerEnabled(boolean value)` Sets the value of the wmTimeoffPlannerEnabled property.
    `void` | `setWmTimezoneId(int value)` Sets the value of the wmTimezoneId property.
    `void` | `setWmWeekStartDay(int value)` Sets the value of the wmWeekStartDay property.
    `java.lang.String` | `toString()`
    `CfgGlobalSettings` | `withTimestamp(long value)`
    `CfgGlobalSettings` | `withWmCalAuditLevel(int value)`
    `CfgGlobalSettings` | `withWmDefaultSecurityRoleId(int value)`
    `CfgGlobalSettings` | `withWmEmailSynchEnabled(boolean value)`
    `CfgGlobalSettings` | `withWmMandatoryPaidBreaks(boolean value)`
    `CfgGlobalSettings` | `withWmNewSiteAssignment(boolean value)`
    `CfgGlobalSettings` | `withWmPreferencesEnabled(boolean value)`
    `CfgGlobalSettings` | `withWmSchAuditLevel(int value)`
    `CfgGlobalSettings` | `withWmSuppressBreakWarnings(boolean value)`
    `CfgGlobalSettings` | `withWmTimeoffPlannerEnabled(boolean value)`
    `CfgGlobalSettings` | `withWmTimezoneId(int value)`
    `CfgGlobalSettings` | `withWmWeekStartDay(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmWeekStartDay

          protected int wmWeekStartDay

      Week Start Day (1 = Mon, 2 = Tue, ..., 7 = Sun)

    - #### wmEmailSynchEnabled

          protected boolean wmEmailSynchEnabled

      Indicates whether e-mail synchronization is enabled/disabled

    - #### wmSchAuditLevel

          protected int wmSchAuditLevel

      Schedule Audit Level `ESchAuditLevel`

    - #### wmCalAuditLevel

          protected int wmCalAuditLevel

      Calendar Audit Level `ECalAuditLevel`

    - #### wmTimeoffPlannerEnabled

          protected boolean wmTimeoffPlannerEnabled

    - #### wmPreferencesEnabled

          protected boolean wmPreferencesEnabled

    - #### wmTimezoneId

          protected int wmTimezoneId

    - #### wmMandatoryPaidBreaks

          protected boolean wmMandatoryPaidBreaks

    - #### wmSuppressBreakWarnings

          protected boolean wmSuppressBreakWarnings

    - #### wmNewSiteAssignment

          protected boolean wmNewSiteAssignment

    - #### wmDefaultSecurityRoleId

          protected int wmDefaultSecurityRoleId

    - #### timestamp

          protected long timestamp

      Timestamp value

  - ### Constructor Detail

    - #### CfgGlobalSettings

          public CfgGlobalSettings()

  - ### Method Detail

    - #### getWmWeekStartDay

          public int getWmWeekStartDay()

      Gets the value of the wmWeekStartDay property.

    - #### setWmWeekStartDay

          public void setWmWeekStartDay(int value)

      Sets the value of the wmWeekStartDay property.

    - #### isWmEmailSynchEnabled

          public boolean isWmEmailSynchEnabled()

      Gets the value of the wmEmailSynchEnabled property.

    - #### setWmEmailSynchEnabled

          public void setWmEmailSynchEnabled(boolean value)

      Sets the value of the wmEmailSynchEnabled property.

    - #### getWmSchAuditLevel

          public int getWmSchAuditLevel()

      Gets the value of the wmSchAuditLevel property.

    - #### setWmSchAuditLevel

          public void setWmSchAuditLevel(int value)

      Sets the value of the wmSchAuditLevel property.

    - #### getWmCalAuditLevel

          public int getWmCalAuditLevel()

      Gets the value of the wmCalAuditLevel property.

    - #### setWmCalAuditLevel

          public void setWmCalAuditLevel(int value)

      Sets the value of the wmCalAuditLevel property.

    - #### isWmTimeoffPlannerEnabled

          public boolean isWmTimeoffPlannerEnabled()

      Gets the value of the wmTimeoffPlannerEnabled property.

    - #### setWmTimeoffPlannerEnabled

          public void setWmTimeoffPlannerEnabled(boolean value)

      Sets the value of the wmTimeoffPlannerEnabled property.

    - #### isWmPreferencesEnabled

          public boolean isWmPreferencesEnabled()

      Gets the value of the wmPreferencesEnabled property.

    - #### setWmPreferencesEnabled

          public void setWmPreferencesEnabled(boolean value)

      Sets the value of the wmPreferencesEnabled property.

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the value of the wmTimezoneId property.

    - #### setWmTimezoneId

          public void setWmTimezoneId(int value)

      Sets the value of the wmTimezoneId property.

    - #### isWmMandatoryPaidBreaks

          public boolean isWmMandatoryPaidBreaks()

      Gets the value of the wmMandatoryPaidBreaks property.

    - #### setWmMandatoryPaidBreaks

          public void setWmMandatoryPaidBreaks(boolean value)

      Sets the value of the wmMandatoryPaidBreaks property.

    - #### isWmSuppressBreakWarnings

          public boolean isWmSuppressBreakWarnings()

      Gets the value of the wmSuppressBreakWarnings property.

    - #### setWmSuppressBreakWarnings

          public void setWmSuppressBreakWarnings(boolean value)

      Sets the value of the wmSuppressBreakWarnings property.

    - #### isWmNewSiteAssignment

          public boolean isWmNewSiteAssignment()

      Gets the value of the wmNewSiteAssignment property.

    - #### setWmNewSiteAssignment

          public void setWmNewSiteAssignment(boolean value)

      Sets the value of the wmNewSiteAssignment property.

    - #### getWmDefaultSecurityRoleId

          public int getWmDefaultSecurityRoleId()

      Gets the value of the wmDefaultSecurityRoleId property.

    - #### setWmDefaultSecurityRoleId

          public void setWmDefaultSecurityRoleId(int value)

      Sets the value of the wmDefaultSecurityRoleId property.

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmWeekStartDay

          public CfgGlobalSettings withWmWeekStartDay(int value)

    - #### withWmEmailSynchEnabled

          public CfgGlobalSettings withWmEmailSynchEnabled(boolean value)

    - #### withWmSchAuditLevel

          public CfgGlobalSettings withWmSchAuditLevel(int value)

    - #### withWmCalAuditLevel

          public CfgGlobalSettings withWmCalAuditLevel(int value)

    - #### withWmTimeoffPlannerEnabled

          public CfgGlobalSettings withWmTimeoffPlannerEnabled(boolean value)

    - #### withWmPreferencesEnabled

          public CfgGlobalSettings withWmPreferencesEnabled(boolean value)

    - #### withWmTimezoneId

          public CfgGlobalSettings withWmTimezoneId(int value)

    - #### withWmMandatoryPaidBreaks

          public CfgGlobalSettings withWmMandatoryPaidBreaks(boolean value)

    - #### withWmSuppressBreakWarnings

          public CfgGlobalSettings withWmSuppressBreakWarnings(boolean value)

    - #### withWmNewSiteAssignment

          public CfgGlobalSettings withWmNewSiteAssignment(boolean value)

    - #### withWmDefaultSecurityRoleId

          public CfgGlobalSettings withWmDefaultSecurityRoleId(int value)

    - #### withTimestamp

          public CfgGlobalSettings withTimestamp(long value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.